Table of Contents

## Name

XCreateOC, XDestroyOC, XSetOCValues, XGetOCValues, XOMOfOC - create output contexts

## Syntax

XOC XCreateOC(om, ...)
XOM om;

void XDestroyOC(oc)
XOC oc;

char * XSetOCValues(oc, ...)
XOC oc;

char * XGetOCValues(oc, ...)
XOC oc;

XOM XOMOfOC(oc)
XOC oc;

## Arguments

oc
  Specifies the output context.
om
  Specifies the output method.
...
  Specifies the variable length argument list to set or get XOC values.

## Description

The XCreateOC function creates an output context within the specified output method.

The base font names argument is mandatory at creation time, and the output context will not be created unless it is provided. All other output context values can be set later.

XCreateOC returns NULL if no output context could be created. NULL can be returned for any of the following reasons:

·
- A required argument was not set.
·
- A read-only argument was set.
·
- An argument name is not recognized.
·
- The output method encountered an output method implementation-dependent error.

The XDestroyOC function destroys the specified output context.

The XSetOCValues function returns NULL if no error occurred; otherwise, it returns the name of the first argument that could not be set. An argument might not be set for any of the following reasons:

·
- The argument is read-only.
·
- The argument name is not recognized.
·
- An implementation-dependent error occurs.

Each value to be set must be an appropriate datum, matching the data type imposed by the semantics of the argument.

The XGetOCValues function returns NULL if no error occurred; otherwise, it returns the name of the first argument that could not be obtained. An argument might not be obtained for any of the following reasons:

·
- The argument name is not recognized.
·
- An implementation-dependent error occurs.

Each argument value following a name must point to a location where the value is to be stored.

The XOMOfOC function returns the output method associated with the specified output context.

## See Also

XCreateOM(3X11) , XCreateFontSet(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also